<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".fragment.ChangeFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroundColor"
        android:orientation="vertical"
        tools:context=".fragment.ChangeFragment">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="30dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="学生学籍异动列表"
                android:textColor="@color/black"
                android:textSize="@dimen/d_28"
                android:textStyle="bold" />

            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1" />

            <com.yzx.ebrand.widget.TimeView
                android:id="@+id/timeView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
        </androidx.appcompat.widget.LinearLayoutCompat>


        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/filterLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="@dimen/dp_40"
            android:paddingVertical="30dp">

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/d_10"
                android:paddingEnd="@dimen/dp_10"
                app:qmui_backgroundColor="@color/white"
                app:qmui_borderColor="#dcdee0"
                app:qmui_borderWidth="1px"
                app:qmui_radius="@dimen/d_30">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/d_25"
                    android:layout_height="@dimen/d_25"
                    android:src="@mipmap/search" />

                <EditText
                    android:id="@+id/keywordInput"
                    android:layout_width="300dp"
                    android:layout_height="60dp"
                    android:background="@color/transparent"
                    android:hint="输入学生姓名"
                    android:imeOptions="actionSearch"
                    android:maxLength="5"
                    android:padding="@dimen/d_5"
                    android:paddingTop="@dimen/d_5"
                    android:paddingBottom="@dimen/d_5"
                    android:singleLine="true"
                    android:textColorHint="#8e8e8e"
                    android:textSize="@dimen/sp20" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/clearBtn"
                    android:layout_width="@dimen/d_25"
                    android:layout_height="@dimen/d_25"
                    android:src="@mipmap/ic_clear"
                    android:visibility="invisible" />
            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/allBtn"
                style="@style/home_status_btn"
                android:layout_marginStart="50dp"
                android:text="全部"
                android:textColor="@color/s_app_color_status_text"
                app:qmui_backgroundColor="@color/s_app_color_status_bg"
                app:qmui_borderColor="@color/s_app_color_status_border" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/status1Btn"
                style="@style/home_status_btn"
                android:text="待处理"
                android:textColor="@color/s_app_color_status_text"
                app:qmui_backgroundColor="@color/s_app_color_status_bg"
                app:qmui_borderColor="@color/s_app_color_status_border" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/status2Btn"
                style="@style/home_status_btn"
                android:text="已确认"
                android:textColor="@color/s_app_color_status_text"
                app:qmui_backgroundColor="@color/s_app_color_status_bg"
                app:qmui_borderColor="@color/s_app_color_status_border" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/status3Btn"
                style="@style/home_status_btn"
                android:text="已拒绝"
                android:textColor="@color/s_app_color_status_text"
                app:qmui_backgroundColor="@color/s_app_color_status_bg"
                app:qmui_borderColor="@color/s_app_color_status_border" />

            <View
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1" />

            <Switch
                android:id="@+id/switchBtn"
                android:layout_width="48dp"
                android:layout_height="@dimen/d_28"
                android:checked="true"
                android:thumb="@drawable/switch_ios_thumb"
                android:track="@drawable/switch_ios_track_selector"
                tools:ignore="UseSwitchCompatOrMaterialXml" />

            <TextView
                android:id="@+id/switchBtnTxt"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/d_28"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="@dimen/d_10"
                android:gravity="center"
                android:text="自动弹出异动单"
                android:textColor="#53a051" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:orientation="vertical"
            android:paddingStart="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_10">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingTop="@dimen/d_20"
                android:paddingBottom="@dimen/d_20">

                <TextView
                    style="@style/table_header"
                    android:layout_weight="1.5"
                    android:paddingStart="@dimen/dp_40"
                    android:text="异动学生" />

                <TextView
                    style="@style/table_header"
                    android:layout_weight="1"
                    android:text="人脸" />

                <TextView
                    style="@style/table_header"
                    android:layout_weight="3"
                    android:text="班级" />

                <TextView
                    style="@style/table_header"
                    android:layout_weight="1"
                    android:text="类型" />

                <TextView
                    style="@style/table_header"
                    android:layout_weight="4"
                    android:text="时间" />


                <TextView
                    style="@style/table_header"
                    android:text="异动单状态" />

                <TextView
                    style="@style/table_header"
                    android:text="发起时间" />

                <TextView
                    style="@style/table_header"
                    android:text="发起人" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/backgroundColor" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:itemCount="5"
                tools:listitem="@layout/layout_change_table" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/backgroundColor" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_40"
                android:paddingVertical="@dimen/d_20">

                <TextView
                    android:id="@+id/totalTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="共0条数据"
                    android:textSize="@dimen/sp18" />

                <TextView
                    android:id="@+id/btnRefresh"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/d_20"
                    android:text="刷新数据"
                    android:textColor="@color/s_app_color_blue"
                    android:textSize="@dimen/sp18" />

                <View
                    android:layout_width="0dp"
                    android:layout_height="1px"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/goPageOne"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="回首页"
                    android:textColor="@color/s_app_color_blue"
                    android:textSize="@dimen/sp18"
                    android:layout_marginEnd="@dimen/d_20"
                    android:visibility="gone"/>

                <TextView
                    android:id="@+id/preTxtBtn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="上一页"
                    android:textColor="#3ca0e9"
                    android:textSize="@dimen/sp18" />

                <TextView
                    android:id="@+id/pageTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingStart="@dimen/d_20"
                    android:paddingEnd="@dimen/d_20"
                    android:text="0/0"
                    android:textColor="#333"
                    android:textSize="@dimen/sp18" />

                <TextView
                    android:id="@+id/nextTxtBtn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="下一页"
                    android:textColor="#3ca0e9"
                    android:textSize="@dimen/sp18" />


            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </LinearLayout>

    <include
        android:id="@+id/loadingLayout"
        layout="@layout/layout_loading"
        android:visibility="gone" />
</FrameLayout>